.contenedor {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    grid-template-rows: 1fr 2fr 1.5fr 2fr 2fr 1fr;
    gap: 10px;
    font-size: larger;
}

.contenedor>* {
    display: flex;
    justify-content: center;
    align-items: center;
    border: 3px solid grey;
}

header,
footer {
    background-color: greenyellow;
}

header {
    grid-column: 1/-1;
}

footer {
    grid-column: 1/-1;
}

.numeros {
    background-color: lightblue;
}

.tablet {
    background-color: aqua;
    grid-column: 1/-1;
}

.letras {
    background-color: #ccc;
}

.emojis {
    background-color: orange;
    grid-column-end: span 2;
}

@media all and (max-width:700px) {
    .contenedor {
        grid-template-columns: 1fr 1fr;
        grid-template-rows: repeat(8, 1fr);
    }

    header {
        grid-row: 1/2;
    }
}